> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an MDM control by ID

> Return MDM control details for the given control ID, including target details and configuration payload.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /mdm-controls/{mdmControlId}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /mdm-controls/{mdmControlId}:
    get:
      tags:
        - MdmControls
      summary: Get an MDM control by ID
      description: >-
        Return MDM control details for the given control ID, including target
        details and configuration payload.
      operationId: getMdmControl
      parameters:
        - name: mdmControlId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````